--- old/usr/src/uts/common/io/fibre-channel/fca/fcoei/fcoei_eth.c	2014-07-28 07:44:36.192108274 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/fcoei/fcoei_eth.c	2014-07-28 07:44:36.198100177 -0400
@@ -1385,6 +1385,6 @@
 		FCOEI_LOG(__FUNCTION__, "ss %p not bound now", ss);
 	}
 
-	atomic_add_32(&ss->ss_port_event_counter, -1);
+	atomic_dec_32(&ss->ss_port_event_counter);
 	kmem_free(ae, sizeof (fcoei_event_t));
 }
--- old/usr/src/uts/common/io/fibre-channel/fca/fcoei/fcoei_lv.c	2014-07-28 07:44:36.398464272 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/fcoei/fcoei_lv.c	2014-07-28 07:44:36.404468754 -0400
@@ -860,7 +860,7 @@
 
 	bzero(frm->frm_payload, cmd_len);
 	xch->xch_cnt = xch->xch_ss->ss_sol_cnt;
-	atomic_add_32(xch->xch_cnt, 1);
+	atomic_inc_32(xch->xch_cnt);
 
 	FFM_R_CTL(fpkt->pkt_cmd_fhdr.r_ctl, frm);
 	FFM_D_ID(fpkt->pkt_cmd_fhdr.d_id, frm);
@@ -1056,7 +1056,7 @@
 	 * This will affect timing check
 	 */
 	xch->xch_cnt = xch->xch_ss->ss_sol_cnt;
-	atomic_add_32(xch->xch_cnt, 1);
+	atomic_inc_32(xch->xch_cnt);
 
 	/*
 	 * Set exchange residual bytes
@@ -1160,7 +1160,7 @@
 	 * This will affect timing check
 	 */
 	xch->xch_cnt = xch->xch_ss->ss_sol_cnt;
-	atomic_add_32(xch->xch_cnt, 1);
+	atomic_inc_32(xch->xch_cnt);
 
 	els_code = (ls_code_t *)(void *)fpkt->pkt_cmd;
 	switch (els_code->ls_code) {
@@ -1267,7 +1267,7 @@
 	 * This will affect timing check
 	 */
 	xch->xch_cnt = xch->xch_ss->ss_unsol_cnt;
-	atomic_add_32(xch->xch_cnt, 1);
+	atomic_inc_32(xch->xch_cnt);
 
 	/*
 	 * Set ifm_rctl
--- old/usr/src/uts/common/io/fibre-channel/fca/oce/oce_rx.c	2014-07-28 07:44:36.629643265 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/oce/oce_rx.c	2014-07-28 07:44:36.635636354 -0400
@@ -226,7 +226,7 @@
 	rq->rqb_freelist[free_index] = rqbd;
 	rq->rqb_rc_head = GET_Q_NEXT(free_index, 1, rq->cfg.nbufs);
 	mutex_exit(&rq->rc_lock);
-	atomic_add_32(&rq->rqb_free, 1);
+	atomic_inc_32(&rq->rqb_free);
 } /* oce_rqb_free */
 
 
@@ -598,7 +598,7 @@
 	}
 
 	oce_rqb_free(rq, rqbd);
-	(void) atomic_add_32(&rq->pending, -1);
+	(void) atomic_dec_32(&rq->pending);
 } /* rx_pool_free */
 
 /*
--- old/usr/src/uts/common/io/fssnap.c	2014-07-28 07:44:36.813587797 -0400
+++ new/usr/src/uts/common/io/fssnap.c	2014-07-28 07:44:36.819708064 -0400
@@ -1544,9 +1544,9 @@
 		if (throttle_write) {
 			if (sema_tryp(&cmap->cmap_throttle_sem) == 0) {
 				rw_exit(&sidp->sid_rwlock);
-				atomic_add_32(&cmap->cmap_waiters, 1);
+				atomic_inc_32(&cmap->cmap_waiters);
 				sema_p(&cmap->cmap_throttle_sem);
-				atomic_add_32(&cmap->cmap_waiters, -1);
+				atomic_dec_32(&cmap->cmap_waiters);
 				rw_enter(&sidp->sid_rwlock, RW_READER);
 
 			/*
@@ -1680,7 +1680,7 @@
 	}
 	rw_exit(&sidp->sid_rwlock);
 
-	atomic_add_64((uint64_t *)&cmap->cmap_nchunks, 1);
+	atomic_inc_64((uint64_t *)&cmap->cmap_nchunks);
 
 	if ((cmap->cmap_maxsize != 0) &&
 	    ((cmap->cmap_nchunks * cmap->cmap_chunksz) > cmap->cmap_maxsize)) {
--- old/usr/src/uts/common/io/gld.c	2014-07-28 07:44:37.052935209 -0400
+++ new/usr/src/uts/common/io/gld.c	2014-07-28 07:44:37.059116756 -0400
@@ -1748,14 +1748,14 @@
 		 * Nonzero count delays any attempted DL_UNBIND.
 		 * See comments above gld_start().
 		 */
-		atomic_add_32((uint32_t *)&gld->gld_wput_count, 1);
+		atomic_inc_32((uint32_t *)&gld->gld_wput_count);
 		membar_enter();
 
 		/* Recheck state now wput_count is set to prevent DL_UNBIND */
 		/* If this Q is in process of DL_UNBIND, don't call start */
 		if (gld->gld_state != DL_IDLE || gld->gld_in_unbind) {
 			/* Extremely unlikely */
-			atomic_add_32((uint32_t *)&gld->gld_wput_count, -1);
+			atomic_dec_32((uint32_t *)&gld->gld_wput_count);
 			goto use_wsrv;
 		}
 
@@ -1771,7 +1771,7 @@
 
 		/* Allow DL_UNBIND again */
 		membar_exit();
-		atomic_add_32((uint32_t *)&gld->gld_wput_count, -1);
+		atomic_dec_32((uint32_t *)&gld->gld_wput_count);
 
 		if (rc == GLD_NORESOURCES)
 			qenable(q);
--- old/usr/src/uts/common/io/hxge/hxge_rxdma.c	2014-07-28 07:44:37.426184343 -0400
+++ new/usr/src/uts/common/io/hxge/hxge_rxdma.c	2014-07-28 07:44:37.432263178 -0400
@@ -1031,7 +1031,7 @@
 	 * is processing a loaned up buffer block.
 	 */
 	free_state = rx_msg_p->free;
-	ref_cnt = atomic_add_32_nv(&rx_msg_p->ref_cnt, -1);
+	ref_cnt = atomic_dec_32_nv(&rx_msg_p->ref_cnt);
 	if (!ref_cnt) {
 		atomic_dec_32(&hxge_mblks_pending);
 
--- old/usr/src/uts/common/io/ib/clients/daplt/daplt.c	2014-07-28 07:44:37.722714420 -0400
+++ new/usr/src/uts/common/io/ib/clients/daplt/daplt.c	2014-07-28 07:44:37.728993031 -0400
@@ -8293,13 +8293,13 @@
 			return (IBT_INSUFF_RESOURCE);
 		}
 		DAPLKA_RS_ACCT_INC(ep_rp, 1);
-		atomic_add_32(&hca_p->hca_qp_count, 1);
+		atomic_inc_32(&hca_p->hca_qp_count);
 	}
 	status = ibt_alloc_rc_channel(hca_hdl, flags, args, chan_hdl_p, sizes);
 
 	if (status != IBT_SUCCESS && acct_enabled) {
 		DAPLKA_RS_ACCT_DEC(ep_rp, 1);
-		atomic_add_32(&hca_p->hca_qp_count, -1);
+		atomic_dec_32(&hca_p->hca_qp_count);
 	}
 	return (status);
 }
@@ -8318,7 +8318,7 @@
 	}
 	if (DAPLKA_RS_ACCT_CHARGED(ep_rp) > 0) {
 		DAPLKA_RS_ACCT_DEC(ep_rp, 1);
-		atomic_add_32(&hca_p->hca_qp_count, -1);
+		atomic_dec_32(&hca_p->hca_qp_count);
 	}
 	return (status);
 }
@@ -8345,13 +8345,13 @@
 			return (IBT_INSUFF_RESOURCE);
 		}
 		DAPLKA_RS_ACCT_INC(evd_rp, 1);
-		atomic_add_32(&hca_p->hca_cq_count, 1);
+		atomic_inc_32(&hca_p->hca_cq_count);
 	}
 	status = ibt_alloc_cq(hca_hdl, cq_attr, ibt_cq_p, real_size);
 
 	if (status != IBT_SUCCESS && acct_enabled) {
 		DAPLKA_RS_ACCT_DEC(evd_rp, 1);
-		atomic_add_32(&hca_p->hca_cq_count, -1);
+		atomic_dec_32(&hca_p->hca_cq_count);
 	}
 	return (status);
 }
@@ -8370,7 +8370,7 @@
 	}
 	if (DAPLKA_RS_ACCT_CHARGED(evd_rp) > 0) {
 		DAPLKA_RS_ACCT_DEC(evd_rp, 1);
-		atomic_add_32(&hca_p->hca_cq_count, -1);
+		atomic_dec_32(&hca_p->hca_cq_count);
 	}
 	return (status);
 }
@@ -8397,13 +8397,13 @@
 			return (IBT_INSUFF_RESOURCE);
 		}
 		DAPLKA_RS_ACCT_INC(pd_rp, 1);
-		atomic_add_32(&hca_p->hca_pd_count, 1);
+		atomic_inc_32(&hca_p->hca_pd_count);
 	}
 	status = ibt_alloc_pd(hca_hdl, flags, pd_hdl_p);
 
 	if (status != IBT_SUCCESS && acct_enabled) {
 		DAPLKA_RS_ACCT_DEC(pd_rp, 1);
-		atomic_add_32(&hca_p->hca_pd_count, -1);
+		atomic_dec_32(&hca_p->hca_pd_count);
 	}
 	return (status);
 }
@@ -8423,7 +8423,7 @@
 	}
 	if (DAPLKA_RS_ACCT_CHARGED(pd_rp) > 0) {
 		DAPLKA_RS_ACCT_DEC(pd_rp, 1);
-		atomic_add_32(&hca_p->hca_pd_count, -1);
+		atomic_dec_32(&hca_p->hca_pd_count);
 	}
 	return (status);
 }
@@ -8451,13 +8451,13 @@
 			return (IBT_INSUFF_RESOURCE);
 		}
 		DAPLKA_RS_ACCT_INC(mw_rp, 1);
-		atomic_add_32(&hca_p->hca_mw_count, 1);
+		atomic_inc_32(&hca_p->hca_mw_count);
 	}
 	status = ibt_alloc_mw(hca_hdl, pd_hdl, flags, mw_hdl_p, rkey_p);
 
 	if (status != IBT_SUCCESS && acct_enabled) {
 		DAPLKA_RS_ACCT_DEC(mw_rp, 1);
-		atomic_add_32(&hca_p->hca_mw_count, -1);
+		atomic_dec_32(&hca_p->hca_mw_count);
 	}
 	return (status);
 }
@@ -8477,7 +8477,7 @@
 	}
 	if (DAPLKA_RS_ACCT_CHARGED(mw_rp) > 0) {
 		DAPLKA_RS_ACCT_DEC(mw_rp, 1);
-		atomic_add_32(&hca_p->hca_mw_count, -1);
+		atomic_dec_32(&hca_p->hca_mw_count);
 	}
 	return (status);
 }
@@ -8505,13 +8505,13 @@
 			return (IBT_INSUFF_RESOURCE);
 		}
 		DAPLKA_RS_ACCT_INC(mr_rp, 1);
-		atomic_add_32(&hca_p->hca_mr_count, 1);
+		atomic_inc_32(&hca_p->hca_mr_count);
 	}
 	status = ibt_register_mr(hca_hdl, pd_hdl, mr_attr, mr_hdl_p, mr_desc_p);
 
 	if (status != IBT_SUCCESS && acct_enabled) {
 		DAPLKA_RS_ACCT_DEC(mr_rp, 1);
-		atomic_add_32(&hca_p->hca_mr_count, -1);
+		atomic_dec_32(&hca_p->hca_mr_count);
 	}
 	return (status);
 }
@@ -8540,14 +8540,14 @@
 			return (IBT_INSUFF_RESOURCE);
 		}
 		DAPLKA_RS_ACCT_INC(mr_rp, 1);
-		atomic_add_32(&hca_p->hca_mr_count, 1);
+		atomic_inc_32(&hca_p->hca_mr_count);
 	}
 	status = ibt_register_shared_mr(hca_hdl, mr_hdl, pd_hdl,
 	    smr_attr_p, mr_hdl_p, mr_desc_p);
 
 	if (status != IBT_SUCCESS && acct_enabled) {
 		DAPLKA_RS_ACCT_DEC(mr_rp, 1);
-		atomic_add_32(&hca_p->hca_mr_count, -1);
+		atomic_dec_32(&hca_p->hca_mr_count);
 	}
 	return (status);
 }
@@ -8567,7 +8567,7 @@
 	}
 	if (DAPLKA_RS_ACCT_CHARGED(mr_rp) > 0) {
 		DAPLKA_RS_ACCT_DEC(mr_rp, 1);
-		atomic_add_32(&hca_p->hca_mr_count, -1);
+		atomic_dec_32(&hca_p->hca_mr_count);
 	}
 	return (status);
 }
@@ -8595,13 +8595,13 @@
 			return (IBT_INSUFF_RESOURCE);
 		}
 		DAPLKA_RS_ACCT_INC(srq_rp, 1);
-		atomic_add_32(&hca_p->hca_srq_count, 1);
+		atomic_inc_32(&hca_p->hca_srq_count);
 	}
 	status = ibt_alloc_srq(hca_hdl, flags, pd, reqsz, srq_hdl_p, realsz);
 
 	if (status != IBT_SUCCESS && acct_enabled) {
 		DAPLKA_RS_ACCT_DEC(srq_rp, 1);
-		atomic_add_32(&hca_p->hca_srq_count, -1);
+		atomic_dec_32(&hca_p->hca_srq_count);
 	}
 	return (status);
 }
@@ -8622,7 +8622,7 @@
 	}
 	if (DAPLKA_RS_ACCT_CHARGED(srq_rp) > 0) {
 		DAPLKA_RS_ACCT_DEC(srq_rp, 1);
-		atomic_add_32(&hca_p->hca_srq_count, -1);
+		atomic_dec_32(&hca_p->hca_srq_count);
 	}
 	return (status);
 }
@@ -9035,7 +9035,7 @@
 		return (EINVAL);
 	}
 	D2("daplka_close: closing rnum = %d\n", rnum);
-	atomic_add_32(&daplka_pending_close, 1);
+	atomic_inc_32(&daplka_pending_close);
 
 	/*
 	 * remove from resource table.
@@ -9048,7 +9048,7 @@
 	if (ia_rp != NULL) {
 		DAPLKA_RS_UNREF(ia_rp);
 	}
-	atomic_add_32(&daplka_pending_close, -1);
+	atomic_dec_32(&daplka_pending_close);
 	return (DDI_SUCCESS);
 }
 
@@ -9846,7 +9846,7 @@
 	uint32_t new_hkey;
 
 	do {
-		new_hkey = atomic_add_32_nv(&daplka_timer_hkey, 1);
+		new_hkey = atomic_inc_32_nv(&daplka_timer_hkey);
 	} while (new_hkey == 0);
 
 	return (new_hkey);
--- old/usr/src/uts/common/io/ib/clients/ibd/ibd_cm.c	2014-07-28 07:44:38.219293301 -0400
+++ new/usr/src/uts/common/io/ib/clients/ibd/ibd_cm.c	2014-07-28 07:44:38.225430104 -0400
@@ -1236,7 +1236,7 @@
 	 * the corresponding ibd_rc_process_rx() is called.
 	 */
 	ASSERT(state->rc_srq_rwqe_list.dl_cnt < state->rc_srq_size);
-	atomic_add_32(&state->rc_srq_rwqe_list.dl_cnt, 1);
+	atomic_inc_32(&state->rc_srq_rwqe_list.dl_cnt);
 	if (ibt_post_srq(state->rc_srq_hdl, &rwqe->w_rwr, 1, NULL) !=
 	    IBT_SUCCESS) {
 		atomic_dec_32(&state->rc_srq_rwqe_list.dl_cnt);
@@ -1258,7 +1258,7 @@
 	 * have to make sure dl_cnt has already updated before
 	 * corresponding ibd_rc_process_rx() is called.
 	 */
-	atomic_add_32(&chan->rx_wqe_list.dl_cnt, 1);
+	atomic_inc_32(&chan->rx_wqe_list.dl_cnt);
 	if (ibt_post_recv(chan->chan_hdl, &rwqe->w_rwr, 1, NULL) !=
 	    IBT_SUCCESS) {
 		atomic_dec_32(&chan->rx_wqe_list.dl_cnt);
@@ -1499,11 +1499,10 @@
 		 * network layer
 		 */
 		if (state->rc_enable_srq) {
-			atomic_add_32(&state->rc_srq_rwqe_list.
-			    dl_bufs_outstanding, 1);
+			atomic_inc_32(
+			    &state->rc_srq_rwqe_list.dl_bufs_outstanding);
 		} else {
-			atomic_add_32(&chan->rx_wqe_list.
-			    dl_bufs_outstanding, 1);
+			atomic_inc_32(&chan->rx_wqe_list.dl_bufs_outstanding);
 		}
 		mp = rwqe->rwqe_im_mblk;
 	} else {
@@ -1669,7 +1668,7 @@
 		ibd_rc_free_rwqe(chan, rwqe);
 		return;
 	}
-	atomic_add_32(&chan->rx_wqe_list.dl_bufs_outstanding, -1);
+	atomic_dec_32(&chan->rx_wqe_list.dl_bufs_outstanding);
 }
 
 /*
--- old/usr/src/uts/common/io/ib/clients/rdsv3/cong.c	2014-07-28 07:44:38.500103234 -0400
+++ new/usr/src/uts/common/io/ib/clients/rdsv3/cong.c	2014-07-28 07:44:38.506088303 -0400
@@ -259,7 +259,7 @@
 	    map, NIPQUAD(map->m_addr));
 
 	rdsv3_stats_inc(s_cong_update_received);
-	atomic_add_32(&rdsv3_cong_generation, 1);
+	atomic_inc_32(&rdsv3_cong_generation);
 #if 0
 XXX
 	if (waitqueue_active(&map->m_waitq))
--- old/usr/src/uts/common/io/ib/clients/rdsv3/ib_recv.c	2014-07-28 07:44:38.677435864 -0400
+++ new/usr/src/uts/common/io/ib/clients/rdsv3/ib_recv.c	2014-07-28 07:44:38.683551319 -0400
@@ -129,7 +129,7 @@
 		recv->r_ibinc = kmem_cache_alloc(rdsv3_ib_incoming_slab,
 		    KM_NOSLEEP);
 		if (recv->r_ibinc == NULL) {
-			atomic_add_32(&rdsv3_ib_allocation, -1);
+			atomic_dec_32(&rdsv3_ib_allocation);
 			goto out;
 		}
 		rdsv3_inc_init(&recv->r_ibinc->ii_inc, conn, conn->c_faddr);
@@ -154,7 +154,7 @@
 out:
 	if (recv->r_ibinc) {
 		kmem_cache_free(rdsv3_ib_incoming_slab, recv->r_ibinc);
-		atomic_add_32(&rdsv3_ib_allocation, -1);
+		atomic_dec_32(&rdsv3_ib_allocation);
 		recv->r_ibinc = NULL;
 	}
 	return (-ENOMEM);
--- old/usr/src/uts/common/io/ib/clients/rdsv3/message.c	2014-07-28 07:44:38.870815735 -0400
+++ new/usr/src/uts/common/io/ib/clients/rdsv3/message.c	2014-07-28 07:44:38.876795965 -0400
@@ -68,7 +68,7 @@
 {
 	RDSV3_DPRINTF5("rdsv3_message_addref", "addref rm %p ref %d",
 	    rm, atomic_get(&rm->m_refcount));
-	atomic_add_32(&rm->m_refcount, 1);
+	atomic_inc_32(&rm->m_refcount);
 }
 
 /*
--- old/usr/src/uts/common/io/ib/clients/rdsv3/rdma.c	2014-07-28 07:44:39.052984888 -0400
+++ new/usr/src/uts/common/io/ib/clients/rdsv3/rdma.c	2014-07-28 07:44:39.062674379 -0400
@@ -91,7 +91,7 @@
 	mr = avl_find(root, &key, &where);
 	if ((mr == NULL) && (insert != NULL)) {
 		avl_insert(root, (void *)insert, where);
-		atomic_add_32(&insert->r_refcount, 1);
+		atomic_inc_32(&insert->r_refcount);
 		return (NULL);
 	}
 
@@ -254,7 +254,7 @@
 	ASSERT(!(found && found != mr));
 
 	if (mr_ret) {
-		atomic_add_32(&mr->r_refcount, 1);
+		atomic_inc_32(&mr->r_refcount);
 		*mr_ret = mr;
 	}
 
@@ -399,7 +399,7 @@
 		RB_CLEAR_NODE(&mr->r_rb_node);
 		zot_me = 1;
 	} else {
-		atomic_add_32(&mr->r_refcount, 1);
+		atomic_inc_32(&mr->r_refcount);
 	}
 	mutex_exit(&rs->rs_rdma_lock);
 
@@ -638,7 +638,7 @@
 	if (!mr)
 		err = -EINVAL;	/* invalid r_key */
 	else
-		atomic_add_32(&mr->r_refcount, 1);
+		atomic_inc_32(&mr->r_refcount);
 	mutex_exit(&rs->rs_rdma_lock);
 
 	if (mr) {
--- old/usr/src/uts/common/io/ib/clients/rdsv3/rds_recv.c	2014-07-28 07:44:39.246036306 -0400
+++ new/usr/src/uts/common/io/ib/clients/rdsv3/rds_recv.c	2014-07-28 07:44:39.252091345 -0400
@@ -64,7 +64,7 @@
 {
 	RDSV3_DPRINTF4("rdsv3_inc_addref",
 	    "addref inc %p ref %d", inc, atomic_get(&inc->i_refcount));
-	atomic_add_32(&inc->i_refcount, 1);
+	atomic_inc_32(&inc->i_refcount);
 }
 
 void
--- old/usr/src/uts/common/io/ib/clients/rdsv3/send.c	2014-07-28 07:44:39.431969034 -0400
+++ new/usr/src/uts/common/io/ib/clients/rdsv3/send.c	2014-07-28 07:44:39.438334247 -0400
@@ -176,7 +176,7 @@
 		ret = -ENOMEM;
 		goto out;
 	}
-	atomic_add_32(&conn->c_senders, 1);
+	atomic_inc_32(&conn->c_senders);
 
 	if (conn->c_trans->xmit_prepare)
 		conn->c_trans->xmit_prepare(conn);
@@ -567,7 +567,7 @@
 
 	RDSV3_FOR_EACH_LIST_NODE_SAFE(rm, tmp, &conn->c_retrans, m_conn_item) {
 		if (rm->m_rdma_op == op) {
-			atomic_add_32(&rm->m_refcount, 1);
+			atomic_inc_32(&rm->m_refcount);
 			found = rm;
 			goto out;
 		}
@@ -576,7 +576,7 @@
 	RDSV3_FOR_EACH_LIST_NODE_SAFE(rm, tmp, &conn->c_send_queue,
 	    m_conn_item) {
 		if (rm->m_rdma_op == op) {
-			atomic_add_32(&rm->m_refcount, 1);
+			atomic_inc_32(&rm->m_refcount);
 			found = rm;
 			break;
 		}
--- old/usr/src/uts/common/io/mac/mac.c	2014-07-28 07:44:39.639073584 -0400
+++ new/usr/src/uts/common/io/mac/mac.c	2014-07-28 07:44:39.645381623 -0400
@@ -2255,7 +2255,7 @@
 	/*
 	 * Grab a value from the arena.
 	 */
-	atomic_add_32(&minor_count, 1);
+	atomic_inc_32(&minor_count);
 
 	if (sleep)
 		minor = (uint_t)id_alloc(minor_ids);
@@ -2263,7 +2263,7 @@
 		minor = (uint_t)id_alloc_nosleep(minor_ids);
 
 	if (minor == 0) {
-		atomic_add_32(&minor_count, -1);
+		atomic_dec_32(&minor_count);
 		return (0);
 	}
 
@@ -2280,7 +2280,7 @@
 	 * Return the value to the arena.
 	 */
 	id_free(minor_ids, minor);
-	atomic_add_32(&minor_count, -1);
+	atomic_dec_32(&minor_count);
 }
 
 uint32_t
--- old/usr/src/uts/common/io/mac/mac_bcast.c	2014-07-28 07:44:40.065556948 -0400
+++ new/usr/src/uts/common/io/mac/mac_bcast.c	2014-07-28 07:44:40.071640259 -0400
@@ -373,7 +373,7 @@
 			flow_desc.fd_mask |= FLOW_LINK_VID;
 		}
 
-		grp->mbg_id = atomic_add_32_nv(&mac_bcast_id, 1);
+		grp->mbg_id = atomic_inc_32_nv(&mac_bcast_id);
 		(void) sprintf(flow_name,
 		    "mac/%s/mcast%d", mip->mi_name, grp->mbg_id);
 
--- old/usr/src/uts/common/io/mega_sas/megaraid_sas.c	2014-07-28 07:44:40.254875519 -0400
+++ new/usr/src/uts/common/io/mega_sas/megaraid_sas.c	2014-07-28 07:44:40.261278779 -0400
@@ -4565,7 +4565,7 @@
 static void
 issue_cmd_xscale(struct megasas_cmd *cmd, struct megasas_instance *instance)
 {
-	atomic_add_16(&instance->fw_outstanding, 1);
+	atomic_inc_16(&instance->fw_outstanding);
 
 	/* Issue the command to the FW */
 	WR_IB_QPORT((host_to_le32(cmd->frame_phys_addr) >> 3) |
@@ -4575,7 +4575,7 @@
 static void
 issue_cmd_ppc(struct megasas_cmd *cmd, struct megasas_instance *instance)
 {
-	atomic_add_16(&instance->fw_outstanding, 1);
+	atomic_inc_16(&instance->fw_outstanding);
 
 	/* Issue the command to the FW */
 	WR_IB_QPORT((host_to_le32(cmd->frame_phys_addr)) |
--- old/usr/src/uts/common/io/mr_sas/mr_sas.c	2014-07-28 07:44:40.582319893 -0400
+++ new/usr/src/uts/common/io/mr_sas/mr_sas.c	2014-07-28 07:44:40.588489127 -0400
@@ -6734,7 +6734,7 @@
 issue_cmd_ppc(struct mrsas_cmd *cmd, struct mrsas_instance *instance)
 {
 	struct scsi_pkt *pkt;
-	atomic_add_16(&instance->fw_outstanding, 1);
+	atomic_inc_16(&instance->fw_outstanding);
 
 	pkt = cmd->pkt;
 	if (pkt) {
--- old/usr/src/uts/common/io/mr_sas/mr_sas_tbolt.c	2014-07-28 07:44:41.002090379 -0400
+++ new/usr/src/uts/common/io/mr_sas/mr_sas_tbolt.c	2014-07-28 07:44:41.008162308 -0400
@@ -1894,7 +1894,7 @@
 tbolt_issue_cmd(struct mrsas_cmd *cmd, struct mrsas_instance *instance)
 {
 	MRSAS_REQUEST_DESCRIPTOR_UNION *req_desc = cmd->request_desc;
-	atomic_add_16(&instance->fw_outstanding, 1);
+	atomic_inc_16(&instance->fw_outstanding);
 
 	struct scsi_pkt *pkt;
 
--- old/usr/src/uts/common/io/myri10ge/drv/myri10ge.c	2014-07-28 07:44:41.294629966 -0400
+++ new/usr/src/uts/common/io/myri10ge/drv/myri10ge.c	2014-07-28 07:44:41.300907061 -0400
@@ -3132,7 +3132,7 @@
 	/* check to see if the slots are really there */
 	avail = tx->mask - (tx->req - tx->done);
 	if (unlikely(avail <=  MYRI10GE_MAX_SEND_DESC_TSO)) {
-		atomic_add_32(&tx->stall, 1);
+		atomic_inc_32(&tx->stall);
 		mutex_exit(&tx->lock);
 		return (EBUSY);
 	}
@@ -3373,7 +3373,7 @@
 
 	if (avail < max_segs) {
 		err = EBUSY;
-		atomic_add_32(&tx->stall_early, 1);
+		atomic_inc_32(&tx->stall_early);
 		goto stall;
 	}
 
@@ -3638,7 +3638,7 @@
 
 late_stall:
 	try_pullup = 0;
-	atomic_add_32(&tx->stall_late, 1);
+	atomic_inc_32(&tx->stall_late);
 
 abort_with_handles:
 	/* unbind and free handles from previous mblks */
@@ -3671,7 +3671,7 @@
 stall:
 	if (err != 0) {
 		if (err == EBUSY) {
-			atomic_add_32(&tx->stall, 1);
+			atomic_inc_32(&tx->stall);
 		} else {
 			MYRI10GE_ATOMIC_SLICE_STAT_INC(xmit_err);
 		}
--- old/usr/src/uts/common/io/myri10ge/drv/myri10ge_var.h	2014-07-28 07:44:41.661133011 -0400
+++ new/usr/src/uts/common/io/myri10ge/drv/myri10ge_var.h	2014-07-28 07:44:41.667103589 -0400
@@ -291,11 +291,11 @@
 #define	MYRI10GE_SLICE_STAT_DEC(field)					\
 (((struct myri10ge_slice_stat *)ss->ksp_stat->ks_data)->field.value.ul)--
 #define	MYRI10GE_ATOMIC_SLICE_STAT_INC(field) 				\
-atomic_add_long(&(((struct myri10ge_slice_stat *)			\
-	    ss->ksp_stat->ks_data)->field.value.ul), 1)
+atomic_inc_ulong(&(((struct myri10ge_slice_stat *)			\
+	ss->ksp_stat->ks_data)->field.value.ul))
 #define	MYRI10GE_ATOMIC_SLICE_STAT_DEC(field) 				\
-atomic_add_long(&(((struct myri10ge_slice_stat *)			\
-	    ss->ksp_stat->ks_data)->field.value.ul), -1)
+atomic_dec_ulong(&(((struct myri10ge_slice_stat *)			\
+	ss->ksp_stat->ks_data)->field.value.ul))
 #define	MYRI10GE_SLICE_STAT(field)					\
 (((struct myri10ge_slice_stat *)ss->ksp_stat->ks_data)->field.value.ul)
 
--- old/usr/src/uts/common/io/neti_impl.c	2014-07-28 07:44:41.839609310 -0400
+++ new/usr/src/uts/common/io/neti_impl.c	2014-07-28 07:44:41.845602092 -0400
@@ -134,7 +134,7 @@
 	mutex_enter(&nts->nts_lock);
 	nd = net_find(protocol, nts);
 	if (nd != NULL)
-		atomic_add_32((uint_t *)&nd->netd_refcnt, 1);
+		atomic_inc_32((uint_t *)&nd->netd_refcnt);
 	mutex_exit(&nts->nts_lock);
 	return (nd);
 }
@@ -157,7 +157,7 @@
 	 * removed from the nts_netd_head list on the neti_stack_t from a
 	 * call to net_protocol_unregister already, so it is thus an orphan.
 	 */
-	if (atomic_add_32_nv((uint_t *)&info->netd_refcnt, -1) == 0) {
+	if (atomic_dec_32_nv((uint_t *)&info->netd_refcnt) == 0) {
 		ASSERT(info->netd_hooks == NULL);
 		ASSERT(info->netd_stack == NULL);
 		kmem_free(info, sizeof (struct net_data));
@@ -201,7 +201,7 @@
 		(void) net_protocol_release(info);
 
 	if (n != NULL)
-		atomic_add_32((uint_t *)&n->netd_refcnt, 1);
+		atomic_inc_32((uint_t *)&n->netd_refcnt);
 
 	mutex_exit(&nts->nts_lock);
 
--- old/usr/src/uts/common/io/nxge/nxge_rxdma.c	2014-07-28 07:44:42.025326374 -0400
+++ new/usr/src/uts/common/io/nxge/nxge_rxdma.c	2014-07-28 07:44:42.031810090 -0400
@@ -1684,7 +1684,7 @@
 	 * is processing a loaned up buffer block.
 	 */
 	free_state = rx_msg_p->free;
-	ref_cnt = atomic_add_32_nv(&rx_msg_p->ref_cnt, -1);
+	ref_cnt = atomic_dec_32_nv(&rx_msg_p->ref_cnt);
 	if (!ref_cnt) {
 		atomic_dec_32(&nxge_mblks_pending);
 		buffer = rx_msg_p->buffer;
--- old/usr/src/uts/common/io/pciex/pcie_fault.c	2014-07-28 07:44:42.355332622 -0400
+++ new/usr/src/uts/common/io/pciex/pcie_fault.c	2014-07-28 07:44:42.361355153 -0400
@@ -2629,7 +2629,7 @@
 
 	*eqep = errorq_reserve(fmhdl->fh_errorq);
 	if (*eqep == NULL) {
-		atomic_add_64(&fmhdl->fh_kstat.fek_erpt_dropped.value.ui64, 1);
+		atomic_inc_64(&fmhdl->fh_kstat.fek_erpt_dropped.value.ui64);
 		return (DDI_FAILURE);
 	}
 
--- old/usr/src/uts/common/io/rsm/rsm.c	2014-07-28 07:44:42.624647498 -0400
+++ new/usr/src/uts/common/io/rsm/rsm.c	2014-07-28 07:44:42.630982015 -0400
@@ -4043,7 +4043,7 @@
 				seg = (rsmseg_t *)p;
 				rsmseglock_acquire(seg);
 
-				atomic_add_32(&seg->s_pollevent, 1);
+				atomic_inc_32(&seg->s_pollevent);
 
 				if (seg->s_pollflag & RSM_SEGMENT_POLL)
 					pollwakeup(&seg->s_poll, POLLRDNORM);
@@ -4064,7 +4064,7 @@
 
 		ASSERT(rsmseglock_held(seg));
 
-		atomic_add_32(&seg->s_pollevent, 1);
+		atomic_inc_32(&seg->s_pollevent);
 
 		/*
 		 * We must hold the segment lock here, or else the segment
@@ -5502,7 +5502,7 @@
 			    e, no_reply_cnt));
 			ASSERT(e != RSMERR_QUEUE_FENCE_UP &&
 			    e != RSMERR_BAD_BARRIER_HNDL);
-			atomic_add_64(&rsm_ipcsend_errcnt, 1);
+			atomic_inc_64(&rsm_ipcsend_errcnt);
 			goto again;
 		} else {
 			DBG_PRINTF((category, RSM_DEBUG_VERBOSE,
@@ -5533,7 +5533,7 @@
 			DBG_PRINTF((category, RSM_ERR,
 			    "rsm: rsmipc_send reply send"
 			    " err = %d\n", e));
-			atomic_add_64(&rsm_ipcsend_errcnt, 1);
+			atomic_inc_64(&rsm_ipcsend_errcnt);
 			goto again;
 		} else {
 			DBG_PRINTF((category, RSM_DEBUG_VERBOSE,
@@ -5639,7 +5639,7 @@
 			RSMIPC_CLEAR(rslot, RSMIPC_PENDING);
 			rsmipc_free(rslot);
 			rele_sendq_token(sendq_token);
-			atomic_add_64(&rsm_ipcsend_errcnt, 1);
+			atomic_inc_64(&rsm_ipcsend_errcnt);
 			goto again;
 		}
 
@@ -5935,7 +5935,7 @@
 			break;
 		}
 		/* error counter for statistics */
-		atomic_add_64(&rsm_ctrlmsg_errcnt, 1);
+		atomic_inc_64(&rsm_ctrlmsg_errcnt);
 
 		DBG_PRINTF((category, RSM_ERR,
 		    "rsmipc_send_controlmsg:rsm_send error=%d", e));
@@ -6449,7 +6449,7 @@
 	seg->s_flags &= ~RSM_IMPORT_DUMMY;	/* clear dummy flag */
 	if (bar_va) {
 		/* increment generation number on barrier page */
-		atomic_add_16(bar_va + seg->s_hdr.rsmrc_num, 1);
+		atomic_inc_16(bar_va + seg->s_hdr.rsmrc_num);
 		/* return user off into barrier page where status will be */
 		msg->off = (int)seg->s_hdr.rsmrc_num;
 		msg->gnum = bar_va[msg->off]; 	/* gnum race */
@@ -6685,7 +6685,7 @@
 
 	/* increment generation number on barrier page */
 	if (bar_va) {
-		atomic_add_16(bar_va + seg->s_hdr.rsmrc_num, 1);
+		atomic_inc_16(bar_va + seg->s_hdr.rsmrc_num);
 	}
 
 	/*
@@ -7284,7 +7284,7 @@
 			    seg));
 			if (seg->s_pollevent) {
 				/* consume the event */
-				atomic_add_32(&seg->s_pollevent, -1);
+				atomic_dec_32(&seg->s_pollevent);
 				event_list[i].revent = POLLRDNORM;
 			}
 			rsmseglock_release(seg);
--- old/usr/src/uts/common/io/str_conf.c	2014-07-28 07:44:43.103764520 -0400
+++ new/usr/src/uts/common/io/str_conf.c	2014-07-28 07:44:43.109708123 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/param.h>
 #include <sys/systm.h>
@@ -284,7 +282,7 @@
 	rw_enter(&fmodsw_lock, RW_READER);
 	if (i_fmodsw_hash_find(name, &fp) == 0) {
 		if (flags & FMODSW_HOLD) {
-			atomic_add_32(&(fp->f_ref), 1);	/* lock must be held */
+			atomic_inc_32(&(fp->f_ref));	/* lock must be held */
 			ASSERT(fp->f_ref > 0);
 		}
 
@@ -308,5 +306,5 @@
 fmodsw_rele(fmodsw_impl_t *fp)
 {
 	ASSERT(fp->f_ref > 0);
-	atomic_add_32(&(fp->f_ref), -1);
+	atomic_dec_32(&(fp->f_ref));
 }
--- old/usr/src/uts/common/io/tl.c	2014-07-28 07:44:43.277047490 -0400
+++ new/usr/src/uts/common/io/tl.c	2014-07-28 07:44:43.283249958 -0400
@@ -1138,7 +1138,7 @@
 static void
 tl_refhold(tl_endpt_t *tep)
 {
-	atomic_add_32(&tep->te_refcnt, 1);
+	atomic_inc_32(&tep->te_refcnt);
 }
 
 static void
@@ -1146,7 +1146,7 @@
 {
 	ASSERT(tep->te_refcnt != 0);
 
-	if (atomic_add_32_nv(&tep->te_refcnt, -1) == 0)
+	if (atomic_dec_32_nv(&tep->te_refcnt) == 0)
 		tl_free(tep);
 }
 
@@ -1264,13 +1264,13 @@
 static void
 tl_serializer_refhold(tl_serializer_t *s)
 {
-	atomic_add_32(&s->ts_refcnt, 1);
+	atomic_inc_32(&s->ts_refcnt);
 }
 
 static void
 tl_serializer_refrele(tl_serializer_t *s)
 {
-	if (atomic_add_32_nv(&s->ts_refcnt, -1) == 0) {
+	if (atomic_dec_32_nv(&s->ts_refcnt) == 0) {
 		serializer_destroy(s->ts_serializer);
 		kmem_free(s, sizeof (tl_serializer_t));
 	}
@@ -5426,7 +5426,7 @@
 		 * Use default address.
 		 */
 		bcopy(&tep->te_defaddr, tep->te_abuf, sizeof (uint32_t));
-		atomic_add_32(&tep->te_defaddr, 1);
+		atomic_inc_32(&tep->te_defaddr);
 	}
 
 	/*
--- old/usr/src/uts/common/io/usb/usba/usbai_pipe_mgmt.c	2014-07-28 07:44:43.650680930 -0400
+++ new/usr/src/uts/common/io/usb/usba/usbai_pipe_mgmt.c	2014-07-28 07:44:43.656687822 -0400
@@ -458,7 +458,7 @@
 		    "USB_%s_%x_pipehndl_tq_%d",
 		    ddi_driver_name(dip), ep->bEndpointAddress, instance);
 	} else {
-		def_instance = atomic_add_32_nv(&anon_instance, 1);
+		def_instance = atomic_inc_32_nv(&anon_instance);
 
 		(void) snprintf(tq_name, sizeof (tq_name),
 		    "USB_%s_%x_pipehndl_tq_%d_",
--- old/usr/src/uts/common/io/xge/drv/xgell.c	2014-07-28 07:44:43.873409111 -0400
+++ new/usr/src/uts/common/io/xge/drv/xgell.c	2014-07-28 07:44:43.879492240 -0400
@@ -1180,7 +1180,7 @@
 	xge_hal_fifo_dtr_post(ring->channelh, dtr);
 
 	/* Update per-ring tx statistics */
-	atomic_add_64(&ring->tx_pkts, 1);
+	atomic_inc_64(&ring->tx_pkts);
 	atomic_add_64(&ring->tx_bytes, sent_bytes);
 
 	return (NULL);
--- old/usr/src/uts/common/ipp/dlcosmk/dlcosmk.c	2014-07-28 07:44:44.141414415 -0400
+++ new/usr/src/uts/common/ipp/dlcosmk/dlcosmk.c	2014-07-28 07:44:44.147395336 -0400
@@ -66,14 +66,14 @@
 	if (mp->b_datap->db_type != M_DATA) {
 		if ((mp->b_cont == NULL) ||
 		    (mp->b_cont->b_datap->db_type != M_DATA)) {
-			atomic_add_64(&dlcosmk_data->epackets, 1);
+			atomic_inc_64(&dlcosmk_data->epackets);
 			dlcosmk0dbg(("dlcosmk_process: no data\n"));
 			return (EINVAL);
 		}
 	}
 
 	/* Update global stats */
-	atomic_add_64(&dlcosmk_data->npackets, 1);
+	atomic_inc_64(&dlcosmk_data->npackets);
 
 	/*
 	 * This should only be called for outgoing packets. For inbound, just
@@ -81,7 +81,7 @@
 	 */
 	if ((proc == IPP_LOCAL_IN) || (proc == IPP_FWD_IN)) {
 		dlcosmk2dbg(("dlcosmk_process:cannot mark incoming packets\n"));
-		atomic_add_64(&dlcosmk_data->ipackets, 1);
+		atomic_inc_64(&dlcosmk_data->ipackets);
 		return (0);
 	}
 
@@ -90,7 +90,7 @@
 	    B_FALSE)) == NULL)) {
 		dlcosmk2dbg(("dlcosmk_process:invalid ill index %u\n",
 		    ill_index));
-		atomic_add_64(&dlcosmk_data->ipackets, 1);
+		atomic_inc_64(&dlcosmk_data->ipackets);
 		return (0);
 	}
 
@@ -101,7 +101,7 @@
 	if (!(ill->ill_flags & ILLF_COS_ENABLED)) {
 		dlcosmk2dbg(("dlcosmk_process:ill %u does not support CoS\n",
 		    ill_index));
-		atomic_add_64(&dlcosmk_data->ipackets, 1);
+		atomic_inc_64(&dlcosmk_data->ipackets);
 		ill_refrele(ill);
 		return (0);
 	}
@@ -124,8 +124,7 @@
 					dlur->dl_priority.dl_max =
 					    dlcosmk_data->dl_max;
 				} else {
-					atomic_add_64(&dlcosmk_data->ipackets,
-					    1);
+					atomic_inc_64(&dlcosmk_data->ipackets);
 				}
 				break;
 			}
@@ -134,7 +133,7 @@
 			mp->b_band = dlcosmk_data->b_band;
 			break;
 		default:
-			atomic_add_64(&dlcosmk_data->ipackets, 1);
+			atomic_inc_64(&dlcosmk_data->ipackets);
 			break;
 	}
 
--- old/usr/src/uts/common/ipp/dscpmk/dscpmk.c	2014-07-28 07:44:44.310735355 -0400
+++ new/usr/src/uts/common/ipp/dscpmk/dscpmk.c	2014-07-28 07:44:44.317009315 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/atomic.h>
 #include <sys/pattr.h>
@@ -68,7 +66,7 @@
 			mp = mp->b_cont;
 		} else {
 			dscpmk0dbg(("dscpmk_process: no data\n"));
-			atomic_add_64(&dscpmk_data->epackets, 1);
+			atomic_inc_64(&dscpmk_data->epackets);
 			return (EINVAL);
 		}
 	}
@@ -77,14 +75,14 @@
 	if ((mp->b_wptr - mp->b_rptr) < IP_SIMPLE_HDR_LENGTH) {
 		if (!pullupmsg(mp, IP_SIMPLE_HDR_LENGTH)) {
 			dscpmk0dbg(("dscpmk_process: pullup failed\n"));
-			atomic_add_64(&dscpmk_data->epackets, 1);
+			atomic_inc_64(&dscpmk_data->epackets);
 			return (EINVAL);
 		}
 	}
 	ipha = (ipha_t *)mp->b_rptr;
 
 	/* Update global stats */
-	atomic_add_64(&dscpmk_data->npackets, 1);
+	atomic_inc_64(&dscpmk_data->npackets);
 
 	/*
 	 * This should only be called for outgoing packets. For inbound packets
@@ -92,7 +90,7 @@
 	 */
 	if ((proc == IPP_LOCAL_IN) || (proc == IPP_FWD_IN)) {
 		dscpmk2dbg(("dscpmk_process: cannot mark incoming packets\n"));
-		atomic_add_64(&dscpmk_data->ipackets, 1);
+		atomic_inc_64(&dscpmk_data->ipackets);
 		return (0);
 	}
 
@@ -114,21 +112,21 @@
 	new_dscp = dscpmk_data->dscp_map[dscp >> 2];
 
 	/* Update stats for this new_dscp */
-	atomic_add_64(&dscpmk_data->dscp_stats[new_dscp].npackets, 1);
+	atomic_inc_64(&dscpmk_data->dscp_stats[new_dscp].npackets);
 
 	/*
 	 * if new_dscp is same as the original, update stats and
 	 * return.
 	 */
 	if (new_dscp == (dscp >> 2)) {
-		atomic_add_64(&dscpmk_data->unchanged, 1);
+		atomic_inc_64(&dscpmk_data->unchanged);
 		return (0);
 	}
 
 	/* Get back the ECN/CU value from the original dscp */
 	new_dscp = (new_dscp << 2) | (dscp & 0x3);
 
-	atomic_add_64(&dscpmk_data->changed, 1);
+	atomic_inc_64(&dscpmk_data->changed);
 	/*
 	 * IPv4 : ToS structure -- RFC 791
 	 *
